[openwrt/openwrt] mac80211: remove support code for authsae
LEDE Commits
lede-commits at lists.infradead.org
Wed Jan 17 02:05:33 PST 2018
nbd pushed a commit to openwrt/openwrt.git, branch master:
https://git.lede-project.org/765599cb0efdf2614b1c7241ba2996ece3412f94
commit 765599cb0efdf2614b1c7241ba2996ece3412f94
Author: Felix Fietkau <nbd at nbd.name>
AuthorDate: Fri Dec 15 14:46:42 2017 +0100
mac80211: remove support code for authsae
Signed-off-by: Felix Fietkau <nbd at nbd.name>
---
.../kernel/mac80211/files/lib/netifd/wireless/mac80211.sh | 12 +++---------
1 file changed, 3 insertions(+), 9 deletions(-)
diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index cdc1554..bf9d52a 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -629,17 +629,11 @@ mac80211_setup_vif() {
case "$mode" in
mesh)
- # authsae or wpa_supplicant
json_get_vars key
if [ -n "$key" ]; then
- if [ -e "/lib/wifi/authsae.sh" ]; then
- . /lib/wifi/authsae.sh
- authsae_start_interface || failed=1
- else
- wireless_vif_parse_encryption
- freq="$(get_freq "$phy" "$channel")"
- mac80211_setup_supplicant_noctl || failed=1
- fi
+ wireless_vif_parse_encryption
+ freq="$(get_freq "$phy" "$channel")"
+ mac80211_setup_supplicant_noctl || failed=1
else
json_get_vars mesh_id mcast_rate
More information about the lede-commits
mailing list